
From: Heiko Carstens <heiko.carstens@de.ibm.com>

this patch adds the missing pte_read function and makes s390 compile again.

Signed-off-by: Heiko Carstens <heiko.carstens@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-s390/pgtable.h |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN include/asm-s390/pgtable.h~s390-add-missing-pte_read-function include/asm-s390/pgtable.h
--- 25/include/asm-s390/pgtable.h~s390-add-missing-pte_read-function	2005-01-05 15:45:24.924704424 -0800
+++ 25-akpm/include/asm-s390/pgtable.h	2005-01-05 15:45:24.928703816 -0800
@@ -418,6 +418,14 @@ extern inline int pte_young(pte_t pte)
 	return 0;
 }
 
+extern inline int pte_read(pte_t pte)
+{
+	/* All pages are readable since we don't use the fetch
+	 * protection bit in the storage key.
+	 */
+	return 1;
+}
+
 /*
  * pgd/pmd/pte modification functions
  */
_
